<!-- wyw 显示人员签名  -->
<template>
	<view class="image">
		<image v-bind:style="{width: width+'px', height:height+'px'}" :src="urlResult">
		</image>
	</view>
</template>

<script>
	import config from '@/config/common'
	export default {
		props: {
			user: {
				type: Object,
				default () {
					return {}
				}
			},
			width: {
				type: Int32Array,
				default () {
					return 150
				}
			},
			height: {
				type: Int32Array,
				default () {
					return 60
				}
			}
		},
		data() {
			return {
				baseUrl: config.uni_app_web_api_url,
				urlResult: ''
			}
		},
		beforeMount() {
			if (this.user && this.user.Nav_UserSignFiles && this.user.Nav_UserSignFiles.length > 0 && this.user
				.Nav_UserSignFiles[0].Nav_ImgFile && this.user.Nav_UserSignFiles[0].Nav_ImgFile.Nav_File) {
				this.urlResult = this.baseUrl + ':3199' + this.user.Nav_UserSignFiles[0].Nav_ImgFile.Nav_File.FILE_PATH
			} else {
				this.urlResult = ''
			}
		}
	}
</script>

<style scoped>
	/* .image {
		width: 150px;
		height: 100px;
	} */
</style>